Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl
Class XML11DTDScannerImpl

    java.lang.Object
      |
      +--org.apache.xerces.impl.XMLScanner
            |
            +--org.apache.xerces.impl.XMLDTDScannerImpl
                  |
                  +--org.apache.xerces.impl.XML11DTDScannerImpl

All Implemented Interfaces:
  org.apache.xerces.xni.parser.XMLComponent, org.apache.xerces.xni.parser.XMLDTDContentModelSource, org.apache.xerces.xni.parser.XMLDTDScanner, org.apache.xerces.xni.parser.XMLDTDSource, XMLEntityHandler

public class XML11DTDScannerImpl
extends XMLDTDScannerImpl

This class is responsible for scanning the declarations found in the internal and external subsets of a DTD in an XML document. The scanner acts as the sources for the DTD information which is communicated to the DTD handlers.

This component requires the following features and properties from the component manager that uses it:

- http://xml.org/sax/features/validation
- http://apache.org/xml/features/scanner/notify-char-refs
- http://apache.org/xml/properties/internal/symbol-table
- http://apache.org/xml/properties/internal/error-reporter
- http://apache.org/xml/properties/internal/entity-manager

Version:
  $Id: XML11DTDScannerImpl.java,v 1.4 2002/12/09 18:51:29 neilg Exp $
Author:
  Arnaud Le Hors, IBM, Andy Clark, IBM, Glenn Marcy, IBM, Eric Ye, IBM

Fields inherited from class org.apache.xerces.impl.XMLDTDScannerImpl
`fDTDContentModelHandler, fDTDHandler, fScannerState, fSeenExternalDTD, fSeenExternalPE, fStandalone, SCANNER_STATE_END_OF_INPUT, SCANNER_STATE_MARKUP_DECL, SCANNER_STATE_TEXT_DECL`

Fields inherited from class org.apache.xerces.impl.XMLScanner
`DEBUG_ATTR_NORMALIZATION, ENTITY_MANAGER, ERROR_REPORTER, fAmpSymbol, fAposSymbol, fCharRefLiteral, fEncodingSymbol, fEntityDepth, fEntityManager, fEntityScanner, fErrorReporter, fGtSymbol, fLtSymbol, fNotifyCharRefs, fQuotSymbol, fReportEntity, fResourceIdentifier, fScanningAttribute, fStandaloneSymbol, fSymbolTable, fValidation, fVersionSymbol, NOTIFY_CHAR_REFS, SYMBOL_TABLE, VALIDATION`

Constructor Summary
`XML11DTDScannerImpl()` Default constructor.
`XML11DTDScannerImpl(SymbolTable symbolTable, XMLErrorReporter errorReporter, XMLEntityManager entityManager)` Constructor for he use of non-XMLComponentManagers.

Method Summary
`protected boolean` | `isInvalid(int value)`
`protected boolean` | `isInvalidLiteral(int value)`
`protected boolean` | `isValidNameChar(int value)`
`protected boolean` | `isValidNameStartChar(int value)`
`protected void` | `normalizeWhitespace(org.apache.xerces.xni.XMLString value)` Normalize whitespace in an XMLString converting all whitespace characters to space characters.
`protected boolean` | `scanPubidLiteral(org.apache.xerces.xni.XMLString literal)` Scans public ID literal.
`protected boolean` | `versionSupported(java.lang.String version)`

Methods inherited from class org.apache.xerces.impl.XMLDTDScannerImpl
`endEntity, getDTDContentModelHandler, getDTDHandler, getFeatureDefault, getPropertyDefault, getRecognizedFeatures, getRecognizedProperties, reset, reset, scanAttDefaultDecl, scanAttlistDecl, scanComment, scanDecls, scanDTDExternalSubset, scanDTDInternalSubset, scanElementDecl, scanEntityValue, scanningInternalSubset, scanPIData, scanTextDecl, setDTDContentModelHandler, setDTDHandler, setInputSource, setScannerState, startEntity, startPE`

Methods inherited from class org.apache.xerces.impl.XMLScanner
`getFeature, reportFatalError, scanAttributeValue, scanCharReferenceValue, scanComment, scanExternalID, scanPI, scanPseudoAttribute, scanSurrogates, scanXMLDeclOrTextDecl, setFeature, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.xerces.xni.parser.XMLComponent
`setFeature, setProperty`

Constructor Detail

### XML11DTDScannerImpl

    public XML11DTDScannerImpl()

  Default constructor.

### XML11DTDScannerImpl

    public XML11DTDScannerImpl(SymbolTable symbolTable,
                               XMLErrorReporter errorReporter,
                               XMLEntityManager entityManager)

  Constructor for he use of non-XMLComponentManagers.

Method Detail

### scanPubidLiteral

    protected boolean scanPubidLiteral(org.apache.xerces.xni.XMLString literal)
                                throws java.io.IOException,
                                       org.apache.xerces.xni.XNIException

  Scans public ID literal. [12] PubidLiteral ::= '"' PubidChar* '"' | "'" (PubidChar - "'")* "'" [13] PubidChar::= #x20 | #xD | #xA | [a-zA-Z0-9] | [-'()+,./:=?;!*#@$_%] The returned string is normalized according to the following rule, from http://www.w3.org/TR/REC-xml#dt-pubid: Before a match is attempted, all strings of white space in the public identifier must be normalized to single space characters (#x20), and leading and trailing white space must be removed.
  Overrides:
    `scanPubidLiteral` in class `XMLScanner`
  Parameters:
    `literal` - The string to fill in with the public ID literal.
  Returns:
    True on success. Note: This method uses fStringBuffer, anything in it at the time of calling is lost.

### normalizeWhitespace

    protected void normalizeWhitespace(org.apache.xerces.xni.XMLString value)

  Normalize whitespace in an XMLString converting all whitespace characters to space characters.
  Overrides:
    `normalizeWhitespace` in class `XMLScanner`

### isInvalid

    protected boolean isInvalid(int value)

  Overrides:
    `isInvalid` in class `XMLScanner`

### isInvalidLiteral

    protected boolean isInvalidLiteral(int value)

  Overrides:
    `isInvalidLiteral` in class `XMLScanner`

### isValidNameChar

    protected boolean isValidNameChar(int value)

  Overrides:
    `isValidNameChar` in class `XMLScanner`

### isValidNameStartChar

    protected boolean isValidNameStartChar(int value)

  Overrides:
    `isValidNameStartChar` in class `XMLScanner`

### versionSupported

    protected boolean versionSupported(java.lang.String version)

  Overrides:
    `versionSupported` in class `XMLScanner`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.